summaryrefslogtreecommitdiffstats
path: root/academic/nco
diff options
context:
space:
mode:
Diffstat (limited to 'academic/nco')
-rw-r--r--academic/nco/README10
-rw-r--r--academic/nco/nco.SlackBuild108
-rw-r--r--academic/nco/nco.info10
-rw-r--r--academic/nco/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/academic/nco/README b/academic/nco/README
new file mode 100644
index 0000000000..2b1492ef0e
--- /dev/null
+++ b/academic/nco/README
@@ -0,0 +1,10 @@
+NCO (netCDF Operators Software Stack)
+
+The NCO toolkit manipulates and analyzes data stored in netCDF-
+accessible formats, including DAP, HDF4, and HDF5. It exploits the
+geophysical expressivity of many CF (Climate & Forecast) metadata
+conventions, the flexible description of physical dimensions translated
+by UDUnits, the network transparency of OPeNDAP, the storage features
+(e.g., compression, chunking, groups) of HDF (the Hierarchical Data
+Format), and many powerful mathematical and statistical algorithms of
+GSL (the GNU Scientific Library).
diff --git a/academic/nco/nco.SlackBuild b/academic/nco/nco.SlackBuild
new file mode 100644
index 0000000000..74bd346139
--- /dev/null
+++ b/academic/nco/nco.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for nco
+
+# Copyright 2020 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=nco
+VERSION=${VERSION:-4.9.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CITATION COPYING COPYRIGHT INSTALL LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/nco/nco.info b/academic/nco/nco.info
new file mode 100644
index 0000000000..89cf7d6c3e
--- /dev/null
+++ b/academic/nco/nco.info
@@ -0,0 +1,10 @@
+PRGNAM="nco"
+VERSION="4.9.7"
+HOMEPAGE="http://nco.sf.net"
+DOWNLOAD="https://github.com/nco/nco/archive/4.9.7/nco-4.9.7.tar.gz"
+MD5SUM="1ce73d3a65bcc7c9388665e57b05188f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="netcdf udunits antlr2"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/academic/nco/slack-desc b/academic/nco/slack-desc
new file mode 100644
index 0000000000..a65912dc40
--- /dev/null
+++ b/academic/nco/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nco: nco (netCDF Operators Software Stack)
+nco:
+nco: The NCO toolkit manipulates and analyzes data stored in netCDF-
+nco: accessible formats, including DAP, HDF4, and HDF5. It exploits the
+nco: geophysical expressivity of many CF (Climate & Forecast) metadata
+nco: conventions, the flexible description of physical dimensions
+nco: translated by UDUnits, the network transparency of OPeNDAP, the
+nco: storage features (e.g., compression, chunking, groups) of HDF (the
+nco: Hierarchical Data Format), and many powerful mathematical and
+nco: statistical algorithms of GSL (the GNU Scientific Library).
+nco: